// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLPA的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLPA_NAME = grmi.NewField("NAME", "[EOLPA].NAME", "name", grmi.TypeString)
var EOLPA_CODE = grmi.NewField("CODE", "[EOLPA].CODE", "code", grmi.TypeString)
var EOLPA_TESTDATA = grmi.NewField("TESTDATA", "[EOLPA].TESTDATA", "testdata", grmi.TypeDateTime)
var EOLPA_SAB = grmi.NewField("SAB", "[EOLPA].SAB", "sab", grmi.TypeString)
var EOLPA_SABRESULT = grmi.NewField("SABRESULT", "[EOLPA].SABRESULT", "sabresult", grmi.TypeString)
var EOLPA_SBRNOLOAD = grmi.NewField("SBRNOLOAD", "[EOLPA].SBRNOLOAD", "sbrnoload", grmi.TypeString)
var EOLPA_SBRLOAD = grmi.NewField("SBRLOAD", "[EOLPA].SBRLOAD", "sbrload", grmi.TypeString)
var EOLPA_SBRRESULT = grmi.NewField("SBRRESULT", "[EOLPA].SBRRESULT", "sbrresult", grmi.TypeString)
var EOLPA_BUCKLERESULT = grmi.NewField("BUCKLERESULT", "[EOLPA].BUCKLERESULT", "buckleresult", grmi.TypeString)
var EOLPA_VENT = grmi.NewField("VENT", "[EOLPA].VENT", "vent", grmi.TypeString)
var EOLPA_VENTNOISE = grmi.NewField("VENTNOISE", "[EOLPA].VENTNOISE", "ventnoise", grmi.TypeString)
var EOLPA_VENTRESULT = grmi.NewField("VENTRESULT", "[EOLPA].VENTRESULT", "ventresult", grmi.TypeString)
var EOLPA_HEATER = grmi.NewField("HEATER", "[EOLPA].HEATER", "heater", grmi.TypeString)
var EOLPA_HEATERRESULT = grmi.NewField("HEATERRESULT", "[EOLPA].HEATERRESULT", "heaterresult", grmi.TypeString)
var EOLPA_LAMBARFORWARD = grmi.NewField("LAMBARFORWARD", "[EOLPA].LAMBARFORWARD", "lambarforward", grmi.TypeString)
var EOLPA_LAMBARBACKWARD = grmi.NewField("LAMBARBACKWARD", "[EOLPA].LAMBARBACKWARD", "lambarbackward", grmi.TypeString)
var EOLPA_LAMBARNOISE = grmi.NewField("LAMBARNOISE", "[EOLPA].LAMBARNOISE", "lambarnoise", grmi.TypeString)
var EOLPA_LAMBARRESULT = grmi.NewField("LAMBARRESULT", "[EOLPA].LAMBARRESULT", "lambarresult", grmi.TypeString)
var EOLPA_TRACKFORWARD = grmi.NewField("TRACKFORWARD", "[EOLPA].TRACKFORWARD", "trackforward", grmi.TypeString)
var EOLPA_TRACKBACKWARD = grmi.NewField("TRACKBACKWARD", "[EOLPA].TRACKBACKWARD", "trackbackward", grmi.TypeString)
var EOLPA_TRACKNOISE = grmi.NewField("TRACKNOISE", "[EOLPA].TRACKNOISE", "tracknoise", grmi.TypeString)
var EOLPA_TRACKRESULT = grmi.NewField("TRACKRESULT", "[EOLPA].TRACKRESULT", "trackresult", grmi.TypeString)
var EOLPA_RECLINEFORWARD = grmi.NewField("RECLINEFORWARD", "[EOLPA].RECLINEFORWARD", "reclineforward", grmi.TypeString)
var EOLPA_RECLINEBACKWARD = grmi.NewField("RECLINEBACKWARD", "[EOLPA].RECLINEBACKWARD", "reclinebackward", grmi.TypeString)
var EOLPA_RECLINENOISE = grmi.NewField("RECLINENOISE", "[EOLPA].RECLINENOISE", "reclinenoise", grmi.TypeString)
var EOLPA_RECLINERESULT = grmi.NewField("RECLINERESULT", "[EOLPA].RECLINERESULT", "reclineresult", grmi.TypeString)
var EOLPA_TILTDOWN = grmi.NewField("TILTDOWN", "[EOLPA].TILTDOWN", "tiltdown", grmi.TypeString)
var EOLPA_TILTUP = grmi.NewField("TILTUP", "[EOLPA].TILTUP", "tiltup", grmi.TypeString)
var EOLPA_TILTNOISE = grmi.NewField("TILTNOISE", "[EOLPA].TILTNOISE", "tiltnoise", grmi.TypeString)
var EOLPA_TILTRESULT = grmi.NewField("TILTRESULT", "[EOLPA].TILTRESULT", "tiltresult", grmi.TypeString)
var EOLPA_HEIGHTDOWN = grmi.NewField("HEIGHTDOWN", "[EOLPA].HEIGHTDOWN", "heightdown", grmi.TypeString)
var EOLPA_HEIGHTUP = grmi.NewField("HEIGHTUP", "[EOLPA].HEIGHTUP", "heightup", grmi.TypeString)
var EOLPA_HEIGHTNOISE = grmi.NewField("HEIGHTNOISE", "[EOLPA].HEIGHTNOISE", "heightnoise", grmi.TypeString)
var EOLPA_HEIGHTRESULT = grmi.NewField("HEIGHTRESULT", "[EOLPA].HEIGHTRESULT", "heightresult", grmi.TypeString)
var EOLPA_FOOTLAMP = grmi.NewField("FOOTLAMP", "[EOLPA].FOOTLAMP", "footlamp", grmi.TypeString)
var EOLPA_FOOTLAMPRESULT = grmi.NewField("FOOTLAMPRESULT", "[EOLPA].FOOTLAMPRESULT", "footlampresult", grmi.TypeString)
var EOLPA_INITIALIZERESULT = grmi.NewField("INITIALIZERESULT", "[EOLPA].INITIALIZERESULT", "initializeresult", grmi.TypeString)
var EOLPA_DTCRESULT = grmi.NewField("DTCRESULT", "[EOLPA].DTCRESULT", "dtcresult", grmi.TypeString)
var EOLPA_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOLPA].TOTALRESULT", "totalresult", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : EOLPA的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLPA = grmi.NewEntity(
	"EOLPA",
	func() interface{} { return &model.EOLPA{} },
	map[string]grmi.Field{
		EOLPA_NAME.Name:             EOLPA_NAME,
		EOLPA_CODE.Name:             EOLPA_CODE,
		EOLPA_TESTDATA.Name:         EOLPA_TESTDATA,
		EOLPA_SAB.Name:              EOLPA_SAB,
		EOLPA_SABRESULT.Name:        EOLPA_SABRESULT,
		EOLPA_SBRNOLOAD.Name:        EOLPA_SBRNOLOAD,
		EOLPA_SBRLOAD.Name:          EOLPA_SBRLOAD,
		EOLPA_SBRRESULT.Name:        EOLPA_SBRRESULT,
		EOLPA_BUCKLERESULT.Name:     EOLPA_BUCKLERESULT,
		EOLPA_VENT.Name:             EOLPA_VENT,
		EOLPA_VENTNOISE.Name:        EOLPA_VENTNOISE,
		EOLPA_VENTRESULT.Name:       EOLPA_VENTRESULT,
		EOLPA_HEATER.Name:           EOLPA_HEATER,
		EOLPA_HEATERRESULT.Name:     EOLPA_HEATERRESULT,
		EOLPA_LAMBARFORWARD.Name:    EOLPA_LAMBARFORWARD,
		EOLPA_LAMBARBACKWARD.Name:   EOLPA_LAMBARBACKWARD,
		EOLPA_LAMBARNOISE.Name:      EOLPA_LAMBARNOISE,
		EOLPA_LAMBARRESULT.Name:     EOLPA_LAMBARRESULT,
		EOLPA_TRACKFORWARD.Name:     EOLPA_TRACKFORWARD,
		EOLPA_TRACKBACKWARD.Name:    EOLPA_TRACKBACKWARD,
		EOLPA_TRACKNOISE.Name:       EOLPA_TRACKNOISE,
		EOLPA_TRACKRESULT.Name:      EOLPA_TRACKRESULT,
		EOLPA_RECLINEFORWARD.Name:   EOLPA_RECLINEFORWARD,
		EOLPA_RECLINEBACKWARD.Name:  EOLPA_RECLINEBACKWARD,
		EOLPA_RECLINENOISE.Name:     EOLPA_RECLINENOISE,
		EOLPA_RECLINERESULT.Name:    EOLPA_RECLINERESULT,
		EOLPA_TILTDOWN.Name:         EOLPA_TILTDOWN,
		EOLPA_TILTUP.Name:           EOLPA_TILTUP,
		EOLPA_TILTNOISE.Name:        EOLPA_TILTNOISE,
		EOLPA_TILTRESULT.Name:       EOLPA_TILTRESULT,
		EOLPA_HEIGHTDOWN.Name:       EOLPA_HEIGHTDOWN,
		EOLPA_HEIGHTUP.Name:         EOLPA_HEIGHTUP,
		EOLPA_HEIGHTNOISE.Name:      EOLPA_HEIGHTNOISE,
		EOLPA_HEIGHTRESULT.Name:     EOLPA_HEIGHTRESULT,
		EOLPA_FOOTLAMP.Name:         EOLPA_FOOTLAMP,
		EOLPA_FOOTLAMPRESULT.Name:   EOLPA_FOOTLAMPRESULT,
		EOLPA_INITIALIZERESULT.Name: EOLPA_INITIALIZERESULT,
		EOLPA_DTCRESULT.Name:        EOLPA_DTCRESULT,
		EOLPA_TOTALRESULT.Name:      EOLPA_TOTALRESULT,
	},
	[]string{},
	[]string{"NAME", "CODE", "TESTDATA", "SAB", "SABRESULT", "SBRNOLOAD", "SBRLOAD", "SBRRESULT", "BUCKLERESULT", "VENT", "VENTNOISE", "VENTRESULT", "HEATER", "HEATERRESULT", "LAMBARFORWARD", "LAMBARBACKWARD", "LAMBARNOISE", "LAMBARRESULT", "TRACKFORWARD", "TRACKBACKWARD", "TRACKNOISE", "TRACKRESULT", "RECLINEFORWARD", "RECLINEBACKWARD", "RECLINENOISE", "RECLINERESULT", "TILTDOWN", "TILTUP", "TILTNOISE", "TILTRESULT", "HEIGHTDOWN", "HEIGHTUP", "HEIGHTNOISE", "HEIGHTRESULT", "FOOTLAMP", "FOOTLAMPRESULT", "INITIALIZERESULT", "DTCRESULT", "TOTALRESULT"})
